Green Minerals AS

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/green-minerals-as/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1750809600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://kommunikasjon.ntb.no/ir-files/17848272/18578909/6244/Download%20announcement%20as%20PDF.pdf",
    "holding_balance": 4.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 416784.75,
    "average_entry_value_usd": 104196.19,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4.0
  ],
  [
    1779062400000,
    4.0
  ],
  [
    1779148800000,
    4.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    309719.44
  ],
  [
    1779062400000,
    307777.08
  ],
  [
    1779148800000,
    307040.04
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.105,
    "date": "2026-05-15",
    "high": 1.3,
    "open": 1.105,
    "close": 1.29,
    "volume": 21990
  },
  {
    "low": 1.2,
    "date": "2026-05-18",
    "high": 1.385,
    "open": 1.385,
    "close": 1.29,
    "volume": 40457
  },
  {
    "low": 1.125,
    "date": "2026-05-19",
    "high": 1.285,
    "open": 1.285,
    "close": 1.2,
    "volume": 43169
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.23
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -19.46,
  "six_month_return": -42.31,
  "three_month_return": -3.61
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/green-minerals-as/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}